Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/120
Addresses256
/64 networksPart of one
Network
2c19:dd:d9:dd:c25:c25:94de:5e00/120
First address
2c19:dd:d9:dd:c25:c25:94de:5e00
Last address
2c19:dd:d9:dd:c25:c25:94de:5eff
Addresses
256
/64 networks (LANs)
None: smaller than one /64 LAN
Full form
2c19:00dd:00d9:00dd:0c25:0c25:94de:5e00
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
e.5.e.d.4.9.5.2.c.0.5.2.c.0.d.d.0.0.9.d.0.0.d.d.0.0.9.1.c.2.ip6.arpa
Split into smaller subnets/128

2c19:dd:d9:dd:c25:c25:94de:5e00/120 makes 256 subnets of /128.

Subnets
#SubnetLast address
12c19:dd:d9:dd:c25:c25:94de:5e00/1282c19:dd:d9:dd:c25:c25:94de:5e00
22c19:dd:d9:dd:c25:c25:94de:5e01/1282c19:dd:d9:dd:c25:c25:94de:5e01
32c19:dd:d9:dd:c25:c25:94de:5e02/1282c19:dd:d9:dd:c25:c25:94de:5e02
42c19:dd:d9:dd:c25:c25:94de:5e03/1282c19:dd:d9:dd:c25:c25:94de:5e03
52c19:dd:d9:dd:c25:c25:94de:5e04/1282c19:dd:d9:dd:c25:c25:94de:5e04
62c19:dd:d9:dd:c25:c25:94de:5e05/1282c19:dd:d9:dd:c25:c25:94de:5e05
72c19:dd:d9:dd:c25:c25:94de:5e06/1282c19:dd:d9:dd:c25:c25:94de:5e06
82c19:dd:d9:dd:c25:c25:94de:5e07/1282c19:dd:d9:dd:c25:c25:94de:5e07
92c19:dd:d9:dd:c25:c25:94de:5e08/1282c19:dd:d9:dd:c25:c25:94de:5e08
102c19:dd:d9:dd:c25:c25:94de:5e09/1282c19:dd:d9:dd:c25:c25:94de:5e09
112c19:dd:d9:dd:c25:c25:94de:5e0a/1282c19:dd:d9:dd:c25:c25:94de:5e0a
122c19:dd:d9:dd:c25:c25:94de:5e0b/1282c19:dd:d9:dd:c25:c25:94de:5e0b
132c19:dd:d9:dd:c25:c25:94de:5e0c/1282c19:dd:d9:dd:c25:c25:94de:5e0c
142c19:dd:d9:dd:c25:c25:94de:5e0d/1282c19:dd:d9:dd:c25:c25:94de:5e0d
152c19:dd:d9:dd:c25:c25:94de:5e0e/1282c19:dd:d9:dd:c25:c25:94de:5e0e
162c19:dd:d9:dd:c25:c25:94de:5e0f/1282c19:dd:d9:dd:c25:c25:94de:5e0f
172c19:dd:d9:dd:c25:c25:94de:5e10/1282c19:dd:d9:dd:c25:c25:94de:5e10
182c19:dd:d9:dd:c25:c25:94de:5e11/1282c19:dd:d9:dd:c25:c25:94de:5e11
192c19:dd:d9:dd:c25:c25:94de:5e12/1282c19:dd:d9:dd:c25:c25:94de:5e12
202c19:dd:d9:dd:c25:c25:94de:5e13/1282c19:dd:d9:dd:c25:c25:94de:5e13
212c19:dd:d9:dd:c25:c25:94de:5e14/1282c19:dd:d9:dd:c25:c25:94de:5e14
222c19:dd:d9:dd:c25:c25:94de:5e15/1282c19:dd:d9:dd:c25:c25:94de:5e15
232c19:dd:d9:dd:c25:c25:94de:5e16/1282c19:dd:d9:dd:c25:c25:94de:5e16
242c19:dd:d9:dd:c25:c25:94de:5e17/1282c19:dd:d9:dd:c25:c25:94de:5e17
252c19:dd:d9:dd:c25:c25:94de:5e18/1282c19:dd:d9:dd:c25:c25:94de:5e18
262c19:dd:d9:dd:c25:c25:94de:5e19/1282c19:dd:d9:dd:c25:c25:94de:5e19
272c19:dd:d9:dd:c25:c25:94de:5e1a/1282c19:dd:d9:dd:c25:c25:94de:5e1a
282c19:dd:d9:dd:c25:c25:94de:5e1b/1282c19:dd:d9:dd:c25:c25:94de:5e1b
292c19:dd:d9:dd:c25:c25:94de:5e1c/1282c19:dd:d9:dd:c25:c25:94de:5e1c
302c19:dd:d9:dd:c25:c25:94de:5e1d/1282c19:dd:d9:dd:c25:c25:94de:5e1d
312c19:dd:d9:dd:c25:c25:94de:5e1e/1282c19:dd:d9:dd:c25:c25:94de:5e1e
322c19:dd:d9:dd:c25:c25:94de:5e1f/1282c19:dd:d9:dd:c25:c25:94de:5e1f
332c19:dd:d9:dd:c25:c25:94de:5e20/1282c19:dd:d9:dd:c25:c25:94de:5e20
342c19:dd:d9:dd:c25:c25:94de:5e21/1282c19:dd:d9:dd:c25:c25:94de:5e21
352c19:dd:d9:dd:c25:c25:94de:5e22/1282c19:dd:d9:dd:c25:c25:94de:5e22
362c19:dd:d9:dd:c25:c25:94de:5e23/1282c19:dd:d9:dd:c25:c25:94de:5e23
372c19:dd:d9:dd:c25:c25:94de:5e24/1282c19:dd:d9:dd:c25:c25:94de:5e24
382c19:dd:d9:dd:c25:c25:94de:5e25/1282c19:dd:d9:dd:c25:c25:94de:5e25
392c19:dd:d9:dd:c25:c25:94de:5e26/1282c19:dd:d9:dd:c25:c25:94de:5e26
402c19:dd:d9:dd:c25:c25:94de:5e27/1282c19:dd:d9:dd:c25:c25:94de:5e27
412c19:dd:d9:dd:c25:c25:94de:5e28/1282c19:dd:d9:dd:c25:c25:94de:5e28
422c19:dd:d9:dd:c25:c25:94de:5e29/1282c19:dd:d9:dd:c25:c25:94de:5e29
432c19:dd:d9:dd:c25:c25:94de:5e2a/1282c19:dd:d9:dd:c25:c25:94de:5e2a
442c19:dd:d9:dd:c25:c25:94de:5e2b/1282c19:dd:d9:dd:c25:c25:94de:5e2b
452c19:dd:d9:dd:c25:c25:94de:5e2c/1282c19:dd:d9:dd:c25:c25:94de:5e2c
462c19:dd:d9:dd:c25:c25:94de:5e2d/1282c19:dd:d9:dd:c25:c25:94de:5e2d
472c19:dd:d9:dd:c25:c25:94de:5e2e/1282c19:dd:d9:dd:c25:c25:94de:5e2e
482c19:dd:d9:dd:c25:c25:94de:5e2f/1282c19:dd:d9:dd:c25:c25:94de:5e2f
492c19:dd:d9:dd:c25:c25:94de:5e30/1282c19:dd:d9:dd:c25:c25:94de:5e30
502c19:dd:d9:dd:c25:c25:94de:5e31/1282c19:dd:d9:dd:c25:c25:94de:5e31
512c19:dd:d9:dd:c25:c25:94de:5e32/1282c19:dd:d9:dd:c25:c25:94de:5e32
522c19:dd:d9:dd:c25:c25:94de:5e33/1282c19:dd:d9:dd:c25:c25:94de:5e33
532c19:dd:d9:dd:c25:c25:94de:5e34/1282c19:dd:d9:dd:c25:c25:94de:5e34
542c19:dd:d9:dd:c25:c25:94de:5e35/1282c19:dd:d9:dd:c25:c25:94de:5e35
552c19:dd:d9:dd:c25:c25:94de:5e36/1282c19:dd:d9:dd:c25:c25:94de:5e36
562c19:dd:d9:dd:c25:c25:94de:5e37/1282c19:dd:d9:dd:c25:c25:94de:5e37
572c19:dd:d9:dd:c25:c25:94de:5e38/1282c19:dd:d9:dd:c25:c25:94de:5e38
582c19:dd:d9:dd:c25:c25:94de:5e39/1282c19:dd:d9:dd:c25:c25:94de:5e39
592c19:dd:d9:dd:c25:c25:94de:5e3a/1282c19:dd:d9:dd:c25:c25:94de:5e3a
602c19:dd:d9:dd:c25:c25:94de:5e3b/1282c19:dd:d9:dd:c25:c25:94de:5e3b
612c19:dd:d9:dd:c25:c25:94de:5e3c/1282c19:dd:d9:dd:c25:c25:94de:5e3c
622c19:dd:d9:dd:c25:c25:94de:5e3d/1282c19:dd:d9:dd:c25:c25:94de:5e3d
632c19:dd:d9:dd:c25:c25:94de:5e3e/1282c19:dd:d9:dd:c25:c25:94de:5e3e
642c19:dd:d9:dd:c25:c25:94de:5e3f/1282c19:dd:d9:dd:c25:c25:94de:5e3f
652c19:dd:d9:dd:c25:c25:94de:5e40/1282c19:dd:d9:dd:c25:c25:94de:5e40
662c19:dd:d9:dd:c25:c25:94de:5e41/1282c19:dd:d9:dd:c25:c25:94de:5e41
672c19:dd:d9:dd:c25:c25:94de:5e42/1282c19:dd:d9:dd:c25:c25:94de:5e42
682c19:dd:d9:dd:c25:c25:94de:5e43/1282c19:dd:d9:dd:c25:c25:94de:5e43
692c19:dd:d9:dd:c25:c25:94de:5e44/1282c19:dd:d9:dd:c25:c25:94de:5e44
702c19:dd:d9:dd:c25:c25:94de:5e45/1282c19:dd:d9:dd:c25:c25:94de:5e45
712c19:dd:d9:dd:c25:c25:94de:5e46/1282c19:dd:d9:dd:c25:c25:94de:5e46
722c19:dd:d9:dd:c25:c25:94de:5e47/1282c19:dd:d9:dd:c25:c25:94de:5e47
732c19:dd:d9:dd:c25:c25:94de:5e48/1282c19:dd:d9:dd:c25:c25:94de:5e48
742c19:dd:d9:dd:c25:c25:94de:5e49/1282c19:dd:d9:dd:c25:c25:94de:5e49
752c19:dd:d9:dd:c25:c25:94de:5e4a/1282c19:dd:d9:dd:c25:c25:94de:5e4a
762c19:dd:d9:dd:c25:c25:94de:5e4b/1282c19:dd:d9:dd:c25:c25:94de:5e4b
772c19:dd:d9:dd:c25:c25:94de:5e4c/1282c19:dd:d9:dd:c25:c25:94de:5e4c
782c19:dd:d9:dd:c25:c25:94de:5e4d/1282c19:dd:d9:dd:c25:c25:94de:5e4d
792c19:dd:d9:dd:c25:c25:94de:5e4e/1282c19:dd:d9:dd:c25:c25:94de:5e4e
802c19:dd:d9:dd:c25:c25:94de:5e4f/1282c19:dd:d9:dd:c25:c25:94de:5e4f
812c19:dd:d9:dd:c25:c25:94de:5e50/1282c19:dd:d9:dd:c25:c25:94de:5e50
822c19:dd:d9:dd:c25:c25:94de:5e51/1282c19:dd:d9:dd:c25:c25:94de:5e51
832c19:dd:d9:dd:c25:c25:94de:5e52/1282c19:dd:d9:dd:c25:c25:94de:5e52
842c19:dd:d9:dd:c25:c25:94de:5e53/1282c19:dd:d9:dd:c25:c25:94de:5e53
852c19:dd:d9:dd:c25:c25:94de:5e54/1282c19:dd:d9:dd:c25:c25:94de:5e54
862c19:dd:d9:dd:c25:c25:94de:5e55/1282c19:dd:d9:dd:c25:c25:94de:5e55
872c19:dd:d9:dd:c25:c25:94de:5e56/1282c19:dd:d9:dd:c25:c25:94de:5e56
882c19:dd:d9:dd:c25:c25:94de:5e57/1282c19:dd:d9:dd:c25:c25:94de:5e57
892c19:dd:d9:dd:c25:c25:94de:5e58/1282c19:dd:d9:dd:c25:c25:94de:5e58
902c19:dd:d9:dd:c25:c25:94de:5e59/1282c19:dd:d9:dd:c25:c25:94de:5e59
912c19:dd:d9:dd:c25:c25:94de:5e5a/1282c19:dd:d9:dd:c25:c25:94de:5e5a
922c19:dd:d9:dd:c25:c25:94de:5e5b/1282c19:dd:d9:dd:c25:c25:94de:5e5b
932c19:dd:d9:dd:c25:c25:94de:5e5c/1282c19:dd:d9:dd:c25:c25:94de:5e5c
942c19:dd:d9:dd:c25:c25:94de:5e5d/1282c19:dd:d9:dd:c25:c25:94de:5e5d
952c19:dd:d9:dd:c25:c25:94de:5e5e/1282c19:dd:d9:dd:c25:c25:94de:5e5e
962c19:dd:d9:dd:c25:c25:94de:5e5f/1282c19:dd:d9:dd:c25:c25:94de:5e5f
972c19:dd:d9:dd:c25:c25:94de:5e60/1282c19:dd:d9:dd:c25:c25:94de:5e60
982c19:dd:d9:dd:c25:c25:94de:5e61/1282c19:dd:d9:dd:c25:c25:94de:5e61
992c19:dd:d9:dd:c25:c25:94de:5e62/1282c19:dd:d9:dd:c25:c25:94de:5e62
1002c19:dd:d9:dd:c25:c25:94de:5e63/1282c19:dd:d9:dd:c25:c25:94de:5e63
1012c19:dd:d9:dd:c25:c25:94de:5e64/1282c19:dd:d9:dd:c25:c25:94de:5e64
1022c19:dd:d9:dd:c25:c25:94de:5e65/1282c19:dd:d9:dd:c25:c25:94de:5e65
1032c19:dd:d9:dd:c25:c25:94de:5e66/1282c19:dd:d9:dd:c25:c25:94de:5e66
1042c19:dd:d9:dd:c25:c25:94de:5e67/1282c19:dd:d9:dd:c25:c25:94de:5e67
1052c19:dd:d9:dd:c25:c25:94de:5e68/1282c19:dd:d9:dd:c25:c25:94de:5e68
1062c19:dd:d9:dd:c25:c25:94de:5e69/1282c19:dd:d9:dd:c25:c25:94de:5e69
1072c19:dd:d9:dd:c25:c25:94de:5e6a/1282c19:dd:d9:dd:c25:c25:94de:5e6a
1082c19:dd:d9:dd:c25:c25:94de:5e6b/1282c19:dd:d9:dd:c25:c25:94de:5e6b
1092c19:dd:d9:dd:c25:c25:94de:5e6c/1282c19:dd:d9:dd:c25:c25:94de:5e6c
1102c19:dd:d9:dd:c25:c25:94de:5e6d/1282c19:dd:d9:dd:c25:c25:94de:5e6d
1112c19:dd:d9:dd:c25:c25:94de:5e6e/1282c19:dd:d9:dd:c25:c25:94de:5e6e
1122c19:dd:d9:dd:c25:c25:94de:5e6f/1282c19:dd:d9:dd:c25:c25:94de:5e6f
1132c19:dd:d9:dd:c25:c25:94de:5e70/1282c19:dd:d9:dd:c25:c25:94de:5e70
1142c19:dd:d9:dd:c25:c25:94de:5e71/1282c19:dd:d9:dd:c25:c25:94de:5e71
1152c19:dd:d9:dd:c25:c25:94de:5e72/1282c19:dd:d9:dd:c25:c25:94de:5e72
1162c19:dd:d9:dd:c25:c25:94de:5e73/1282c19:dd:d9:dd:c25:c25:94de:5e73
1172c19:dd:d9:dd:c25:c25:94de:5e74/1282c19:dd:d9:dd:c25:c25:94de:5e74
1182c19:dd:d9:dd:c25:c25:94de:5e75/1282c19:dd:d9:dd:c25:c25:94de:5e75
1192c19:dd:d9:dd:c25:c25:94de:5e76/1282c19:dd:d9:dd:c25:c25:94de:5e76
1202c19:dd:d9:dd:c25:c25:94de:5e77/1282c19:dd:d9:dd:c25:c25:94de:5e77
1212c19:dd:d9:dd:c25:c25:94de:5e78/1282c19:dd:d9:dd:c25:c25:94de:5e78
1222c19:dd:d9:dd:c25:c25:94de:5e79/1282c19:dd:d9:dd:c25:c25:94de:5e79
1232c19:dd:d9:dd:c25:c25:94de:5e7a/1282c19:dd:d9:dd:c25:c25:94de:5e7a
1242c19:dd:d9:dd:c25:c25:94de:5e7b/1282c19:dd:d9:dd:c25:c25:94de:5e7b
1252c19:dd:d9:dd:c25:c25:94de:5e7c/1282c19:dd:d9:dd:c25:c25:94de:5e7c
1262c19:dd:d9:dd:c25:c25:94de:5e7d/1282c19:dd:d9:dd:c25:c25:94de:5e7d
1272c19:dd:d9:dd:c25:c25:94de:5e7e/1282c19:dd:d9:dd:c25:c25:94de:5e7e
1282c19:dd:d9:dd:c25:c25:94de:5e7f/1282c19:dd:d9:dd:c25:c25:94de:5e7f
1292c19:dd:d9:dd:c25:c25:94de:5e80/1282c19:dd:d9:dd:c25:c25:94de:5e80
1302c19:dd:d9:dd:c25:c25:94de:5e81/1282c19:dd:d9:dd:c25:c25:94de:5e81
1312c19:dd:d9:dd:c25:c25:94de:5e82/1282c19:dd:d9:dd:c25:c25:94de:5e82
1322c19:dd:d9:dd:c25:c25:94de:5e83/1282c19:dd:d9:dd:c25:c25:94de:5e83
1332c19:dd:d9:dd:c25:c25:94de:5e84/1282c19:dd:d9:dd:c25:c25:94de:5e84
1342c19:dd:d9:dd:c25:c25:94de:5e85/1282c19:dd:d9:dd:c25:c25:94de:5e85
1352c19:dd:d9:dd:c25:c25:94de:5e86/1282c19:dd:d9:dd:c25:c25:94de:5e86
1362c19:dd:d9:dd:c25:c25:94de:5e87/1282c19:dd:d9:dd:c25:c25:94de:5e87
1372c19:dd:d9:dd:c25:c25:94de:5e88/1282c19:dd:d9:dd:c25:c25:94de:5e88
1382c19:dd:d9:dd:c25:c25:94de:5e89/1282c19:dd:d9:dd:c25:c25:94de:5e89
1392c19:dd:d9:dd:c25:c25:94de:5e8a/1282c19:dd:d9:dd:c25:c25:94de:5e8a
1402c19:dd:d9:dd:c25:c25:94de:5e8b/1282c19:dd:d9:dd:c25:c25:94de:5e8b
1412c19:dd:d9:dd:c25:c25:94de:5e8c/1282c19:dd:d9:dd:c25:c25:94de:5e8c
1422c19:dd:d9:dd:c25:c25:94de:5e8d/1282c19:dd:d9:dd:c25:c25:94de:5e8d
1432c19:dd:d9:dd:c25:c25:94de:5e8e/1282c19:dd:d9:dd:c25:c25:94de:5e8e
1442c19:dd:d9:dd:c25:c25:94de:5e8f/1282c19:dd:d9:dd:c25:c25:94de:5e8f
1452c19:dd:d9:dd:c25:c25:94de:5e90/1282c19:dd:d9:dd:c25:c25:94de:5e90
1462c19:dd:d9:dd:c25:c25:94de:5e91/1282c19:dd:d9:dd:c25:c25:94de:5e91
1472c19:dd:d9:dd:c25:c25:94de:5e92/1282c19:dd:d9:dd:c25:c25:94de:5e92
1482c19:dd:d9:dd:c25:c25:94de:5e93/1282c19:dd:d9:dd:c25:c25:94de:5e93
1492c19:dd:d9:dd:c25:c25:94de:5e94/1282c19:dd:d9:dd:c25:c25:94de:5e94
1502c19:dd:d9:dd:c25:c25:94de:5e95/1282c19:dd:d9:dd:c25:c25:94de:5e95
1512c19:dd:d9:dd:c25:c25:94de:5e96/1282c19:dd:d9:dd:c25:c25:94de:5e96
1522c19:dd:d9:dd:c25:c25:94de:5e97/1282c19:dd:d9:dd:c25:c25:94de:5e97
1532c19:dd:d9:dd:c25:c25:94de:5e98/1282c19:dd:d9:dd:c25:c25:94de:5e98
1542c19:dd:d9:dd:c25:c25:94de:5e99/1282c19:dd:d9:dd:c25:c25:94de:5e99
1552c19:dd:d9:dd:c25:c25:94de:5e9a/1282c19:dd:d9:dd:c25:c25:94de:5e9a
1562c19:dd:d9:dd:c25:c25:94de:5e9b/1282c19:dd:d9:dd:c25:c25:94de:5e9b
1572c19:dd:d9:dd:c25:c25:94de:5e9c/1282c19:dd:d9:dd:c25:c25:94de:5e9c
1582c19:dd:d9:dd:c25:c25:94de:5e9d/1282c19:dd:d9:dd:c25:c25:94de:5e9d
1592c19:dd:d9:dd:c25:c25:94de:5e9e/1282c19:dd:d9:dd:c25:c25:94de:5e9e
1602c19:dd:d9:dd:c25:c25:94de:5e9f/1282c19:dd:d9:dd:c25:c25:94de:5e9f
1612c19:dd:d9:dd:c25:c25:94de:5ea0/1282c19:dd:d9:dd:c25:c25:94de:5ea0
1622c19:dd:d9:dd:c25:c25:94de:5ea1/1282c19:dd:d9:dd:c25:c25:94de:5ea1
1632c19:dd:d9:dd:c25:c25:94de:5ea2/1282c19:dd:d9:dd:c25:c25:94de:5ea2
1642c19:dd:d9:dd:c25:c25:94de:5ea3/1282c19:dd:d9:dd:c25:c25:94de:5ea3
1652c19:dd:d9:dd:c25:c25:94de:5ea4/1282c19:dd:d9:dd:c25:c25:94de:5ea4
1662c19:dd:d9:dd:c25:c25:94de:5ea5/1282c19:dd:d9:dd:c25:c25:94de:5ea5
1672c19:dd:d9:dd:c25:c25:94de:5ea6/1282c19:dd:d9:dd:c25:c25:94de:5ea6
1682c19:dd:d9:dd:c25:c25:94de:5ea7/1282c19:dd:d9:dd:c25:c25:94de:5ea7
1692c19:dd:d9:dd:c25:c25:94de:5ea8/1282c19:dd:d9:dd:c25:c25:94de:5ea8
1702c19:dd:d9:dd:c25:c25:94de:5ea9/1282c19:dd:d9:dd:c25:c25:94de:5ea9
1712c19:dd:d9:dd:c25:c25:94de:5eaa/1282c19:dd:d9:dd:c25:c25:94de:5eaa
1722c19:dd:d9:dd:c25:c25:94de:5eab/1282c19:dd:d9:dd:c25:c25:94de:5eab
1732c19:dd:d9:dd:c25:c25:94de:5eac/1282c19:dd:d9:dd:c25:c25:94de:5eac
1742c19:dd:d9:dd:c25:c25:94de:5ead/1282c19:dd:d9:dd:c25:c25:94de:5ead
1752c19:dd:d9:dd:c25:c25:94de:5eae/1282c19:dd:d9:dd:c25:c25:94de:5eae
1762c19:dd:d9:dd:c25:c25:94de:5eaf/1282c19:dd:d9:dd:c25:c25:94de:5eaf
1772c19:dd:d9:dd:c25:c25:94de:5eb0/1282c19:dd:d9:dd:c25:c25:94de:5eb0
1782c19:dd:d9:dd:c25:c25:94de:5eb1/1282c19:dd:d9:dd:c25:c25:94de:5eb1
1792c19:dd:d9:dd:c25:c25:94de:5eb2/1282c19:dd:d9:dd:c25:c25:94de:5eb2
1802c19:dd:d9:dd:c25:c25:94de:5eb3/1282c19:dd:d9:dd:c25:c25:94de:5eb3
1812c19:dd:d9:dd:c25:c25:94de:5eb4/1282c19:dd:d9:dd:c25:c25:94de:5eb4
1822c19:dd:d9:dd:c25:c25:94de:5eb5/1282c19:dd:d9:dd:c25:c25:94de:5eb5
1832c19:dd:d9:dd:c25:c25:94de:5eb6/1282c19:dd:d9:dd:c25:c25:94de:5eb6
1842c19:dd:d9:dd:c25:c25:94de:5eb7/1282c19:dd:d9:dd:c25:c25:94de:5eb7
1852c19:dd:d9:dd:c25:c25:94de:5eb8/1282c19:dd:d9:dd:c25:c25:94de:5eb8
1862c19:dd:d9:dd:c25:c25:94de:5eb9/1282c19:dd:d9:dd:c25:c25:94de:5eb9
1872c19:dd:d9:dd:c25:c25:94de:5eba/1282c19:dd:d9:dd:c25:c25:94de:5eba
1882c19:dd:d9:dd:c25:c25:94de:5ebb/1282c19:dd:d9:dd:c25:c25:94de:5ebb
1892c19:dd:d9:dd:c25:c25:94de:5ebc/1282c19:dd:d9:dd:c25:c25:94de:5ebc
1902c19:dd:d9:dd:c25:c25:94de:5ebd/1282c19:dd:d9:dd:c25:c25:94de:5ebd
1912c19:dd:d9:dd:c25:c25:94de:5ebe/1282c19:dd:d9:dd:c25:c25:94de:5ebe
1922c19:dd:d9:dd:c25:c25:94de:5ebf/1282c19:dd:d9:dd:c25:c25:94de:5ebf
1932c19:dd:d9:dd:c25:c25:94de:5ec0/1282c19:dd:d9:dd:c25:c25:94de:5ec0
1942c19:dd:d9:dd:c25:c25:94de:5ec1/1282c19:dd:d9:dd:c25:c25:94de:5ec1
1952c19:dd:d9:dd:c25:c25:94de:5ec2/1282c19:dd:d9:dd:c25:c25:94de:5ec2
1962c19:dd:d9:dd:c25:c25:94de:5ec3/1282c19:dd:d9:dd:c25:c25:94de:5ec3
1972c19:dd:d9:dd:c25:c25:94de:5ec4/1282c19:dd:d9:dd:c25:c25:94de:5ec4
1982c19:dd:d9:dd:c25:c25:94de:5ec5/1282c19:dd:d9:dd:c25:c25:94de:5ec5
1992c19:dd:d9:dd:c25:c25:94de:5ec6/1282c19:dd:d9:dd:c25:c25:94de:5ec6
2002c19:dd:d9:dd:c25:c25:94de:5ec7/1282c19:dd:d9:dd:c25:c25:94de:5ec7
2012c19:dd:d9:dd:c25:c25:94de:5ec8/1282c19:dd:d9:dd:c25:c25:94de:5ec8
2022c19:dd:d9:dd:c25:c25:94de:5ec9/1282c19:dd:d9:dd:c25:c25:94de:5ec9
2032c19:dd:d9:dd:c25:c25:94de:5eca/1282c19:dd:d9:dd:c25:c25:94de:5eca
2042c19:dd:d9:dd:c25:c25:94de:5ecb/1282c19:dd:d9:dd:c25:c25:94de:5ecb
2052c19:dd:d9:dd:c25:c25:94de:5ecc/1282c19:dd:d9:dd:c25:c25:94de:5ecc
2062c19:dd:d9:dd:c25:c25:94de:5ecd/1282c19:dd:d9:dd:c25:c25:94de:5ecd
2072c19:dd:d9:dd:c25:c25:94de:5ece/1282c19:dd:d9:dd:c25:c25:94de:5ece
2082c19:dd:d9:dd:c25:c25:94de:5ecf/1282c19:dd:d9:dd:c25:c25:94de:5ecf
2092c19:dd:d9:dd:c25:c25:94de:5ed0/1282c19:dd:d9:dd:c25:c25:94de:5ed0
2102c19:dd:d9:dd:c25:c25:94de:5ed1/1282c19:dd:d9:dd:c25:c25:94de:5ed1
2112c19:dd:d9:dd:c25:c25:94de:5ed2/1282c19:dd:d9:dd:c25:c25:94de:5ed2
2122c19:dd:d9:dd:c25:c25:94de:5ed3/1282c19:dd:d9:dd:c25:c25:94de:5ed3
2132c19:dd:d9:dd:c25:c25:94de:5ed4/1282c19:dd:d9:dd:c25:c25:94de:5ed4
2142c19:dd:d9:dd:c25:c25:94de:5ed5/1282c19:dd:d9:dd:c25:c25:94de:5ed5
2152c19:dd:d9:dd:c25:c25:94de:5ed6/1282c19:dd:d9:dd:c25:c25:94de:5ed6
2162c19:dd:d9:dd:c25:c25:94de:5ed7/1282c19:dd:d9:dd:c25:c25:94de:5ed7
2172c19:dd:d9:dd:c25:c25:94de:5ed8/1282c19:dd:d9:dd:c25:c25:94de:5ed8
2182c19:dd:d9:dd:c25:c25:94de:5ed9/1282c19:dd:d9:dd:c25:c25:94de:5ed9
2192c19:dd:d9:dd:c25:c25:94de:5eda/1282c19:dd:d9:dd:c25:c25:94de:5eda
2202c19:dd:d9:dd:c25:c25:94de:5edb/1282c19:dd:d9:dd:c25:c25:94de:5edb
2212c19:dd:d9:dd:c25:c25:94de:5edc/1282c19:dd:d9:dd:c25:c25:94de:5edc
2222c19:dd:d9:dd:c25:c25:94de:5edd/1282c19:dd:d9:dd:c25:c25:94de:5edd
2232c19:dd:d9:dd:c25:c25:94de:5ede/1282c19:dd:d9:dd:c25:c25:94de:5ede
2242c19:dd:d9:dd:c25:c25:94de:5edf/1282c19:dd:d9:dd:c25:c25:94de:5edf
2252c19:dd:d9:dd:c25:c25:94de:5ee0/1282c19:dd:d9:dd:c25:c25:94de:5ee0
2262c19:dd:d9:dd:c25:c25:94de:5ee1/1282c19:dd:d9:dd:c25:c25:94de:5ee1
2272c19:dd:d9:dd:c25:c25:94de:5ee2/1282c19:dd:d9:dd:c25:c25:94de:5ee2
2282c19:dd:d9:dd:c25:c25:94de:5ee3/1282c19:dd:d9:dd:c25:c25:94de:5ee3
2292c19:dd:d9:dd:c25:c25:94de:5ee4/1282c19:dd:d9:dd:c25:c25:94de:5ee4
2302c19:dd:d9:dd:c25:c25:94de:5ee5/1282c19:dd:d9:dd:c25:c25:94de:5ee5
2312c19:dd:d9:dd:c25:c25:94de:5ee6/1282c19:dd:d9:dd:c25:c25:94de:5ee6
2322c19:dd:d9:dd:c25:c25:94de:5ee7/1282c19:dd:d9:dd:c25:c25:94de:5ee7
2332c19:dd:d9:dd:c25:c25:94de:5ee8/1282c19:dd:d9:dd:c25:c25:94de:5ee8
2342c19:dd:d9:dd:c25:c25:94de:5ee9/1282c19:dd:d9:dd:c25:c25:94de:5ee9
2352c19:dd:d9:dd:c25:c25:94de:5eea/1282c19:dd:d9:dd:c25:c25:94de:5eea
2362c19:dd:d9:dd:c25:c25:94de:5eeb/1282c19:dd:d9:dd:c25:c25:94de:5eeb
2372c19:dd:d9:dd:c25:c25:94de:5eec/1282c19:dd:d9:dd:c25:c25:94de:5eec
2382c19:dd:d9:dd:c25:c25:94de:5eed/1282c19:dd:d9:dd:c25:c25:94de:5eed
2392c19:dd:d9:dd:c25:c25:94de:5eee/1282c19:dd:d9:dd:c25:c25:94de:5eee
2402c19:dd:d9:dd:c25:c25:94de:5eef/1282c19:dd:d9:dd:c25:c25:94de:5eef
2412c19:dd:d9:dd:c25:c25:94de:5ef0/1282c19:dd:d9:dd:c25:c25:94de:5ef0
2422c19:dd:d9:dd:c25:c25:94de:5ef1/1282c19:dd:d9:dd:c25:c25:94de:5ef1
2432c19:dd:d9:dd:c25:c25:94de:5ef2/1282c19:dd:d9:dd:c25:c25:94de:5ef2
2442c19:dd:d9:dd:c25:c25:94de:5ef3/1282c19:dd:d9:dd:c25:c25:94de:5ef3
2452c19:dd:d9:dd:c25:c25:94de:5ef4/1282c19:dd:d9:dd:c25:c25:94de:5ef4
2462c19:dd:d9:dd:c25:c25:94de:5ef5/1282c19:dd:d9:dd:c25:c25:94de:5ef5
2472c19:dd:d9:dd:c25:c25:94de:5ef6/1282c19:dd:d9:dd:c25:c25:94de:5ef6
2482c19:dd:d9:dd:c25:c25:94de:5ef7/1282c19:dd:d9:dd:c25:c25:94de:5ef7
2492c19:dd:d9:dd:c25:c25:94de:5ef8/1282c19:dd:d9:dd:c25:c25:94de:5ef8
2502c19:dd:d9:dd:c25:c25:94de:5ef9/1282c19:dd:d9:dd:c25:c25:94de:5ef9
2512c19:dd:d9:dd:c25:c25:94de:5efa/1282c19:dd:d9:dd:c25:c25:94de:5efa
2522c19:dd:d9:dd:c25:c25:94de:5efb/1282c19:dd:d9:dd:c25:c25:94de:5efb
2532c19:dd:d9:dd:c25:c25:94de:5efc/1282c19:dd:d9:dd:c25:c25:94de:5efc
2542c19:dd:d9:dd:c25:c25:94de:5efd/1282c19:dd:d9:dd:c25:c25:94de:5efd
2552c19:dd:d9:dd:c25:c25:94de:5efe/1282c19:dd:d9:dd:c25:c25:94de:5efe
2562c19:dd:d9:dd:c25:c25:94de:5eff/1282c19:dd:d9:dd:c25:c25:94de:5eff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses